import { Shrinkwrap } from './types';
export declare const SHRINKWRAP_FILENAME = "shrinkwrap.yaml";
export declare const PRIVATE_SHRINKWRAP_FILENAME: string;
export declare function readPrivate(pkgPath: string, opts: {
    force: boolean;
    registry: string;
}): Promise<Shrinkwrap>;
export declare function read(pkgPath: string, opts: {
    force: boolean;
    registry: string;
}): Promise<Shrinkwrap>;
export declare function save(pkgPath: string, shrinkwrap: Shrinkwrap): Promise<[any, any]>;
